package system

import (
	"kra/internal/server/middleware"

	"github.com/gin-gonic/gin"
)

type SysSystemRouter struct{}

// InitSystemRouter 初始化系统配置路由
func (s *SysSystemRouter) InitSystemRouter(Router *gin.RouterGroup) {
	sysRouter := Router.Group("system").Use(middleware.OperationRecordMiddleware())
	sysRouterWithoutRecord := Router.Group("system")
	{
		sysRouter.POST("setSystemConfig", systemApi.SetSystemConfig) // 设置配置文件内容
		sysRouter.POST("reloadSystem", systemApi.ReloadSystem)       // 重启服务
	}
	{
		sysRouterWithoutRecord.POST("getSystemConfig", systemApi.GetSystemConfig) // 获取配置文件内容
		sysRouterWithoutRecord.POST("getServerInfo", systemApi.GetServerInfo)     // 获取服务器信息
	}
}
